ChartDirector Ver 5.0 (PHP Edition)

JsChartViewer.setCustomAttr

Usage

setCustomAttr(key, value)

Description

Sets a custom attribute.
The JsChartViewer does not interpret or use custom attributes. It merely sends them to the server side WebChartViewer control. On the server side, these attributes can be retrieved using WebChartViewer.getCustomAttr.
Custom attributes are useful for transferring application specific information between the server and the browser during partial chart updates (AJAX requests). They are also useful for storing values that needs to be persistent across multiple HTTP requests.
For example, one one can use custom attributes to update the states of the HTML controls on the browser side during partial chart updates. (For non-AJAX requests, the server can always update the web page directly.)
Both the key and value of a custom attribute should be text strings. The key should be a valid variable name, that is, it should start with A-Z, a-z or underscore, and consists entirely of alphanumeric characters with no spaces.

Arguments

Argument | Default | Description
--- | --- | ---
key | (Mandatory) | The attribute key.
value | (Mandatory) | The attribute value.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.